<jhi-title
    [title]="'pcidssApp.selfAssessment.home.title'"></jhi-title>
<div class="d-flex view-height">
    <jhi-shared-left-nav class="col-3 no-padding"></jhi-shared-left-nav>
    <div class="col-9 no-padding section-margin">
        <div *ngIf="isPendingPage" class="pending-btn">
            <jhi-button pending (click)="reset()"><b>Assessment Notification Pending</b></jhi-button>
        </div>
        <div *ngIf="!isPendingPage" class="notification">
            <div *ngIf="!isCorrection"><h6>Thank you for submitting Self-Assessment Questionnaire (SAQ)</h6></div>
            <div *ngIf="isCorrection"><h6>Thank you for retaking Self-Assessment Questionnaire (SAQ)</h6></div>
            <div class="section">
                <div><span>Do you want to send notification to QA officers to review self-assessment questionnaire?</span></div>
                <form #notificationForm="ngForm">
                    <div class="grid-radio">
                        <label for="yes" class="mb-2 ml-4">
                            <input id="yes" name="radio" type="radio" [value]="STATUS.YES"
                                   [(ngModel)]="selectedOption" required>Yes
                        </label>
                        <label for="no" class="mb-2 ml-4" (click)="isPendingPage = true">
                            <input id="no" name="radio" type="radio" [value]="STATUS.NO"
                                   [(ngModel)]="selectedOption" required>No
                        </label>
                    </div>
                    <div *ngIf="selectedOption === STATUS.YES">
                        <div><span>Select Quality Assurance Officers to send notification Below:</span></div>
                        <div class="form-group mt-4 ml-2 btn-group dropdown" dropdown>
                            <div dropdownToggle class="dropdown-toggle custom-dropdown form-control">
                               {{selectedQA ? selectedQA.firstName+' '+selectedQA.lastName : '-- Select --'}}
                            </div>
                            <ul *dropdownMenu class="dropdown-menu" role="menu">
                                <li *ngFor="let officer of notifications" role="menuitem">
                                    <a class="dropdown-item form-control" href="javascript:"
                                       (click)="selectedQA=officer">{{officer.firstName +' '+ officer.lastName}}
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div *ngIf="selectedQA" class="text-center mt-5">
                            <jhi-button submit (click)="sendNotification()">Send to QA</jhi-button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
